EclipseWtp (Gradle API 2.14)
Date: 2016-06-14

Package: org.gradle.plugins.ide.eclipse.model

## [Java] Class EclipseWtp

- org.gradle.plugins.ide.eclipse.model.EclipseWtp

- Enables fine-tuning wtp/wst details of the Eclipse plugin

  More interesting examples you will find in docs for EclipseWtpComponent and EclipseWtpFacet

       apply plugin: 'java'
       apply plugin: 'war'
       apply plugin: 'eclipse-wtp'

       eclipse {

         //if you want parts of paths in resulting file(s) to be replaced by variables (files):
         pathVariables 'GRADLE_HOME': file('/best/software/gradle'), 'TOMCAT_HOME': file('../tomcat')

         wtp {
           component {
             //for examples see docs for EclipseWtpComponent
           }

           facet {
             //for examples see docs for EclipseWtpFacet
           }
         }
       }

- - ### Constructor Summary

    Constructors
    Constructor and description
    `EclipseWtp (EclipseClasspath eclipseClasspath)` Create a new EclipseWtp.

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `component(groovy.lang.Closure action)` Configures wtp component.
    `void` | `facet(groovy.lang.Closure action)` Configures wtp facet.
    `EclipseWtpComponent` | `getComponent()` Configures wtp component.
    `EclipseWtpFacet` | `getFacet()` Configures wtp facet.
    `void` | `setComponent(EclipseWtpComponent component)`
    `void` | `setFacet(EclipseWtpFacet facet)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public EclipseWtp(EclipseClasspath eclipseClasspath)

      Create a new EclipseWtp.

      Parameters:
        `eclipseClasspath` - - wtp needs access to classpath

  - ### Method Detail

    - #### public void component(groovy.lang.Closure action)

      Configures wtp component.

      For examples see docs for EclipseWtpComponent

      Parameters:
        action

    - #### public void facet(groovy.lang.Closure action)

      Configures wtp facet.

      For examples see docs for EclipseWtpFacet

      Parameters:
        action

    - #### public EclipseWtpComponent getComponent()

      Configures wtp component.

      For examples see docs for EclipseWtpComponent

    - #### public EclipseWtpFacet getFacet()

      Configures wtp facet.

      For examples see docs for EclipseWtpFacet

    - #### public void setComponent(EclipseWtpComponent component)

    - #### public void setFacet(EclipseWtpFacet facet)